/// <reference types="react" />
import { RedirectProps } from 'react-router-dom';
export interface NamedRedirectProps<TParams = object> extends RedirectProps {
    to: string;
    params?: TParams;
}
declare const NamedRedirect: ({ to, params, ...otherProps }: NamedRedirectProps<object>) => JSX.Element;
export default NamedRedirect;
